POST api/batchapi/add/enddryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "0e2ee234-403a-46cf-9bf1-3eb87df96b1a",
"batch_id": "5c2a1904-a67b-4352-8f7e-b82de1b5209f",
"medistream_id": "cd4adc39-a283-4aa3-bc0e-6d74179fdf39",
"witness_id": "edd40628-699c-4660-b0a1-532c587be97d",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-09-25T05:42:26.1273841+00:00",
"stop_time": "2026-09-25T05:42:26.1273841+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>5c2a1904-a67b-4352-8f7e-b82de1b5209f</batch_id> <compartment>1</compartment> <id>0e2ee234-403a-46cf-9bf1-3eb87df96b1a</id> <medistream_id>cd4adc39-a283-4aa3-bc0e-6d74179fdf39</medistream_id> <start_time>2026-09-25T05:42:26.1273841+00:00</start_time> <stop_time>2026-09-25T05:42:26.1273841+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>edd40628-699c-4660-b0a1-532c587be97d</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"76a200cd-3783-4d4b-ad45-87042153950e"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">76a200cd-3783-4d4b-ad45-87042153950e</guid>